# Re: SANE V2 - again...

Milon Firikis (milonf@ariadne-t.gr)
Mon, 30 Aug 1999 20:12:53 +0300

- Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]
- Next message: Hugo van der Kooij: "Re: Mustek MFS-6000CX, once again please."
- Previous message: abel deuring: "Re: SANE V2 - again..."
- Maybe in reply to: abel deuring: "SANE V2 - again..."
- Next in thread: abel deuring: "Re: SANE V2 - again..."

Oliver Rauch wrote:
>
>
> Hi,
>
> the gamma tables should be well known options, may be the halftone patterns too,
>
> we should add that to the next sane standard.
>
> For what do you need the calibration vector in the frontend, that should be
> handled only in the backend.
>
> If we want to add color correction as a "midend" it could be interesting
> to add a well known option for the color correction matrix (3x3).
> But this could also be done in a frontend, that does not make much
> work so I would'nt write a midend for it.
>
> Bye
> Oliver
>

Halo Oliver,

Apple scanners allow download able
Halftone patterns,
Color Correction Tables,
Calibration Vectors,
Gamma Tables

Are you sure you can do the work in some midend or frontend for all of
them?
-For Gamma definitely not
-For HalfTone
You can scan Gray level and convert
to bitmap using the Halftone pattern to decide
what is white and what is black but that defies
the purpose of the B&W scanning anyway.
-For Color Correction you should probably know the
Initial CCT in order to make the correct transformations.
You can always assume the I (identity matrix) but I don't think
that holds true for apple scanners at least.
-For calibration I don't have the manual handy and cannot comment.

The question is it worth the trouble?

I think it is better to allow the possibility of downloading info to the
scanner, where it is GAMMA, CCT, calibration or halftone patterns.

MF

    --
    Source code, list archive, and docs: http://www.mostang.com/sane/
    To unsubscribe: echo unsubscribe sane-devel | mail majordomo@mostang.com

- Next message: Hugo van der Kooij: "Re: Mustek MFS-6000CX, once again please."
- Previous message: abel deuring: "Re: SANE V2 - again..."
- Maybe in reply to: abel deuring: "SANE V2 - again..."
- Next in thread: abel deuring: "Re: SANE V2 - again..."